from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .viewsets import client as client_views
from .viewsets import device as device_views

router = DefaultRouter()
router.register(r'client', client_views.POSClientViewSet, basename='client')
router.register(r'attributes', client_views.POSClientAttributeViewSet, basename='attributes')
router.register(r'provider', device_views.ProviderCompanyViewSet, basename='provider')
router.register(r'device', device_views.DeviceViewSet, basename='device')
router.register(r'device_assignment', device_views.DeviceAssignmentViewSet, basename='device_assignment')
router.register(r'stake_holders', device_views.StakeHoldersViewSet, basename='stake_holders')
router.register(r'broker_stake_assign', device_views.BrokerStakeHolderAssignViewSet, basename='broker_stake_assign')

urlpatterns = [
    path('v1/pos/', include(router.urls))
]